OpenVDB 13.0.0

Loading...
Searching...
No Matches
ToMaskGrid< GridType > Struct Template Reference

ToMaskGrid<T>::Type is the type of a grid having the same tree hierarchy as grid type T but a value equal to its active state. More...

`#include <openvdb/tools/GridOperators.h>`

## Public Types
typedef Grid< typename GridType::TreeType::template ValueConverter< ValueMask >::Type > | Type

## Detailed Description

template<typename GridType>
struct openvdb::v13_0::tools::gridop::ToMaskGrid< GridType >

ToMaskGrid<T>::Type is the type of a grid having the same tree hierarchy as grid type T but a value equal to its active state.

For example, ToMaskGrid<FloatGrid>::Type is equivalent to MaskGrid.

## Member Typedef Documentation

## ◆ Type

template<typename GridType>

typedef Grid<typename GridType::TreeType::template ValueConverter<ValueMask>::Type> Type